Holger's Java API

## com.antelmann.util
Interface Handler<T,E extends Exception>

Type Parameters:
  `T` - the type of the object to be handled
  `E` - the type of Exception that his handler is allowed to throw

All Known Implementing Classes:
  CGI.MultipartHandler, HandlerList, IMAPBackup.DirArchiver, IMAPBackup.ZipDirArchiver, MJPEGHandler, SSLHelper

    public interface Handler<T,E extends Exception>

a fairly generic way to specify some handler to be used as an easy-to-use call-back mechanism

Since:
  09.07.2008, 23:59:53
Author:
  Holger Antelmann
See Also:
  `Processor`

Method Summary
`void` `handle(Object callbackSource, T item)` called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

Method Detail

### handle

    void handle(Object callbackSource,
                T item)
                throws E extends Exception

  called by an object (for example some parser) when an item is observed that ought to be handled by this implementation

  Parameters:
    `callbackSource` - the object that initiated this call-back
    `item` - the item to be handled by this instance
  Throws:
    `E extends Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads